package com.persagy.dmp.rwd.edit.entity;

import com.persagy.dmp.rwd.edit.enumeration.EnumVersionState;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.Date;

@Setter
@Getter
@Entity
@Table(name = "rwdedit_version")
public class RwdeditVersion {

    @Id
    private String version;

    @Column(name = "create_time", insertable = false, updatable = false)
    private Date createTime;
    private String createUser;
    @Enumerated
    private EnumVersionState state;

}
